## qzxing 3.3.0+dfsg

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3)
project(QZXing)

find_package(Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Gui REQUIRED)
find_package(Qt5 COMPONENTS Multimedia )
find_package(Qt5 REQUIRED Svg Quick QuickControls2)

SET(BIGINT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/zxing/bigint)
SET(WIN32_DIR  ${CMAKE_CURRENT_SOURCE_DIR}/zxing/win32/zxing)
SET(ZXING_DIR  ${CMAKE_CURRENT_SOURCE_DIR}/zxing/zxing)

set(CMAKE_AUTOMOC ON)
set(CMAKE_WARN_ON)

set(SOURCES

    CameraImageWrapper.cpp
    CameraImageWrapper.h
    ImageHandler.cpp
    ImageHandler.h
    QZXing.cpp
    QZXing.h
    QZXing_global.h
    )

if(QZXING_MULTIMEDIA)

    LIST(APPEND SOURCES QZXingFilter.cpp QZXingFilter.h)
    add_definitions(-DQZXING_MULTIMEDIA)

    SET(QZXING_USE_QML ON)

endif(QZXING_MULTIMEDIA)

if(QZXING_USE_QML)
    LIST(APPEND SOURCES QZXingImageProvider.cpp QZXingImageProvider.h)
    add_definitions(-DQZXING_QML)
endif(QZXING_USE_QML)

if(QZXING_USE_ENCODER)
    add_definitions(-DENABLE_ENCODER_GENERIC -DENABLE_ENCODER_QR_CODE)
endif(QZXING_USE_ENCODER)

add_library(qzxing "" ${SOURCES})

if(WIN32)
    add_subdirectory(zxing/win32)
    if(MSVC)
        add_definitions(-D__STDC_LIMIT_MACROS)
    endif(MSVC)

    add_definitions(-DNO_ICONV)
endif(WIN32)

if(ANDROID)
    add_definitions(-DNO_ICONV)
endif()

if(VS_WINRT_COMPONENT)
    add_definitions(-DNO_ICONV)
endif(VS_WINRT_COMPONENT)

add_subdirectory(zxing/bigint)

add_subdirectory(zxing/zxing)

target_link_libraries(qzxing Qt5::Core Qt5::Gui)

if(QZXING_MULTIMEDIA)
    target_link_libraries(qzxing Qt5::Multimedia)
    target_compile_definitions(qzxing PUBLIC -DQZXING_MULTIMEDIA)
endif(QZXING_MULTIMEDIA)

if(QZXING_USE_QML)
    target_link_libraries(qzxing
        Qt5::Svg
        Qt5::Quick
        Qt5::QuickControls2)
    target_compile_definitions(qzxing PUBLIC -DQZXING_QML)
endif(QZXING_USE_QML)

if(QZXING_USE_ENCODER)
    target_compile_definitions(qzxing PUBLIC -DENABLE_ENCODER_GENERIC -DENABLE_ENCODER_QR_CODE)
endif(QZXING_USE_ENCODER)

if(QZXING_USE_DECODER_QR_CODE)
    target_compile_definitions(qzxing PRIVATE -DENABLE_DECODER_QR_CODE)
endif()

if(QZXING_USE_DECODER_1D_BARCODES)
    target_compile_definitions(qzxing PRIVATE -DENABLE_DECODER_1D_BARCODES)
endif()

if(QZXING_USE_DECODER_DATA_MATRIX)
    target_compile_definitions(qzxing PRIVATE -DENABLE_DECODER_DATA_MATRIX)
endif()

if(QZXING_USE_DECODER_AZTEC)
    target_compile_definitions(qzxing PRIVATE -DENABLE_DECODER_AZTEC)
endif()

if(QZXING_USE_DECODER_PDF17)
    target_compile_definitions(qzxing PRIVATE -DENABLE_DECODER_PDF17)
endif()

if(QZXING_USE_DECODER_1D_BARCODES)
    target_compile_definitions(qzxing PRIVATE -DENABLE_DECODER_1D_BARCODES)
endif()


# Change Global Definitions depending on how you want to use the library
target_compile_definitions(qzxing PUBLIC DISABLE_LIBRARY_FEATURES)

# Target includes
target_include_directories(qzxing
  PRIVATE
        .
        zxing
        zxing/win32/zxing
        zxing/zxing
        zxing/bigint
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
)

=== src/zxing/bigint/CMakeLists.txt ===
SET(SOURCES
     ${BIGINT_DIR}/BigInteger.hh
     ${BIGINT_DIR}/BigInteger.cc
     ${BIGINT_DIR}/BigIntegerAlgorithms.hh
     ${BIGINT_DIR}/BigIntegerAlgorithms.cc
     ${BIGINT_DIR}/BigIntegerLibrary.hh
     ${BIGINT_DIR}/BigIntegerUtils.hh
     ${BIGINT_DIR}/BigIntegerUtils.cc
     ${BIGINT_DIR}/BigUnsigned.hh
     ${BIGINT_DIR}/BigUnsigned.cc
     ${BIGINT_DIR}/BigUnsignedInABase.hh
     ${BIGINT_DIR}/BigUnsignedInABase.cc
     ${BIGINT_DIR}/NumberlikeArray.hh
    )

target_sources(qzxing PRIVATE ${SOURCES})

=== src/zxing/zxing/CMakeLists.txt ===
SET(SOURCES

    ${ZXING_DIR}/BarcodeFormat.cpp
    ${ZXING_DIR}/BarcodeFormat.h
    ${ZXING_DIR}/Binarizer.cpp
    ${ZXING_DIR}/Binarizer.h
    ${ZXING_DIR}/BinaryBitmap.cpp
    ${ZXING_DIR}/BinaryBitmap.h
    ${ZXING_DIR}/ChecksumException.cpp
    ${ZXING_DIR}/ChecksumException.h
    ${ZXING_DIR}/DecodeHints.cpp
    ${ZXING_DIR}/DecodeHints.h
    ${ZXING_DIR}/EncodeHint.cpp
    ${ZXING_DIR}/EncodeHint.h
    ${ZXING_DIR}/Exception.cpp
    ${ZXING_DIR}/Exception.h
    ${ZXING_DIR}/FormatException.cpp
    ${ZXING_DIR}/FormatException.h
    ${ZXING_DIR}/IllegalStateException.cpp
    ${ZXING_DIR}/IllegalStateException.h
    ${ZXING_DIR}/InvertedLuminanceSource.cpp
    ${ZXING_DIR}/InvertedLuminanceSource.h
    ${ZXING_DIR}/LuminanceSource.cpp
    ${ZXING_DIR}/LuminanceSource.h
    ${ZXING_DIR}/MultiFormatReader.cpp
    ${ZXING_DIR}/MultiFormatReader.h
    ${ZXING_DIR}/NotFoundException.h
    ${ZXING_DIR}/NotFoundException.cpp
    ${ZXING_DIR}/Reader.cpp
    ${ZXING_DIR}/Reader.h
    ${ZXING_DIR}/ReaderException.h
    ${ZXING_DIR}/ReaderException.cpp
    ${ZXING_DIR}/Result.cpp
    ${ZXING_DIR}/Result.h
    ${ZXING_DIR}/ResultMetadata.cpp
    ${ZXING_DIR}/ResultMetadata.h
    ${ZXING_DIR}/ResultIO.cpp
    ${ZXING_DIR}/ResultPoint.cpp
    ${ZXING_DIR}/ResultPoint.h
    ${ZXING_DIR}/ResultPointCallback.cpp
    ${ZXING_DIR}/ResultPointCallback.h
    ${ZXING_DIR}/UnsupportedEncodingException.h
    ${ZXING_DIR}/WriterException.h
    ${ZXING_DIR}/WriterException.cpp
    ${ZXING_DIR}/ZXing.h

    )

SET(AZTEC_DIR

    ${ZXING_DIR}/aztec/AztecDetectorResult.cpp
    ${ZXING_DIR}/aztec/AztecDetectorResult.h
    ${ZXING_DIR}/aztec/AztecReader.cpp
    ${ZXING_DIR}/aztec/AztecReader.h
    ${ZXING_DIR}/aztec/decoder/AztecDecoder.cpp
    ${ZXING_DIR}/aztec/decoder/Decoder.h
    ${ZXING_DIR}/aztec/detector/AztecDetector.cpp
    ${ZXING_DIR}/aztec/detector/Detector.h

    )

SET(COMMON_DIR

    ${ZXING_DIR}/common/BitArray.cpp
    ${ZXING_DIR}/common/BitArray.h
    ${ZXING_DIR}/common/BitArrayIO.cpp
    ${ZXING_DIR}/common/BitMatrix.cpp
    ${ZXING_DIR}/common/BitMatrix.h
    ${ZXING_DIR}/common/BitSource.cpp
    ${ZXING_DIR}/common/BitSource.h
    ${ZXING_DIR}/common/CharacterSetECI.cpp
    ${ZXING_DIR}/common/CharacterSetECI.h
    ${ZXING_DIR}/common/DecoderResult.cpp
    ${ZXING_DIR}/common/DecoderResult.h
    ${ZXING_DIR}/common/DetectorResult.cpp
    ${ZXING_DIR}/common/DetectorResult.h
    ${ZXING_DIR}/common/GlobalHistogramBinarizer.cpp
    ${ZXING_DIR}/common/GlobalHistogramBinarizer.h
    ${ZXING_DIR}/common/GreyscaleLuminanceSource.cpp
    ${ZXING_DIR}/common/GreyscaleLuminanceSource.h
    ${ZXING_DIR}/common/GreyscaleRotatedLuminanceSource.cpp
    ${ZXING_DIR}/common/GreyscaleRotatedLuminanceSource.h
    ${ZXING_DIR}/common/GridSampler.cpp
    ${ZXING_DIR}/common/GridSampler.h
    ${ZXING_DIR}/common/HybridBinarizer.cpp
    ${ZXING_DIR}/common/HybridBinarizer.h
    ${ZXING_DIR}/common/IllegalArgumentException.cpp
    ${ZXING_DIR}/common/IllegalArgumentException.h
    ${ZXING_DIR}/common/PerspectiveTransform.cpp
    ${ZXING_DIR}/common/PerspectiveTransform.h
    ${ZXING_DIR}/common/Point.h
    ${ZXING_DIR}/common/Str.cpp
    ${ZXING_DIR}/common/Str.h
    ${ZXING_DIR}/common/StringUtils.cpp
    ${ZXING_DIR}/common/StringUtils.h
    ${ZXING_DIR}/common/Types.h

    ${ZXING_DIR}/common/detector/JavaMath.h
    ${ZXING_DIR}/common/detector/MathUtils.h
    ${ZXING_DIR}/common/detector/MonochromeRectangleDetector.cpp
    ${ZXING_DIR}/common/detector/MonochromeRectangleDetector.h
    ${ZXING_DIR}/common/detector/WhiteRectangleDetector.cpp
    ${ZXING_DIR}/common/detector/WhiteRectangleDetector.h

    ${ZXING_DIR}/common/reedsolomon/GenericGF.cpp
    ${ZXING_DIR}/common/reedsolomon/GenericGF.h
    ${ZXING_DIR}/common/reedsolomon/GenericGFPoly.cpp
    ${ZXING_DIR}/common/reedsolomon/GenericGFPoly.h
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonDecoder.cpp
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonDecoder.h
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonEncoder.cpp
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonEncoder.h
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonException.cpp
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonException.h

    )

SET(DATAMATRIX_DIR

    ${ZXING_DIR}/datamatrix/DataMatrixReader.cpp
    ${ZXING_DIR}/datamatrix/DataMatrixReader.h
    ${ZXING_DIR}/datamatrix/DataMatrixVersion.cpp
    ${ZXING_DIR}/datamatrix/Version.h

    ${ZXING_DIR}/datamatrix/decoder/BitMatrixParser.h
    ${ZXING_DIR}/datamatrix/decoder/DataBlock.h
    ${ZXING_DIR}/datamatrix/decoder/DataMatrixBitMatrixParser.cpp
    ${ZXING_DIR}/datamatrix/decoder/DataMatrixDataBlock.cpp
    ${ZXING_DIR}/datamatrix/decoder/DataMatrixDecodedBitStreamParser.cpp
    ${ZXING_DIR}/datamatrix/decoder/DataMatrixDecoder.cpp
    ${ZXING_DIR}/datamatrix/decoder/DecodedBitStreamParser.h
    ${ZXING_DIR}/datamatrix/decoder/Decoder.h

    ${ZXING_DIR}/datamatrix/detector/CornerPoint.h
    ${ZXING_DIR}/datamatrix/detector/DataMatrixCornerPoint.cpp
    ${ZXING_DIR}/datamatrix/detector/DataMatrixDetector.cpp
    ${ZXING_DIR}/datamatrix/detector/DataMatrixDetectorException.cpp
    ${ZXING_DIR}/datamatrix/detector/Detector.h
    ${ZXING_DIR}/datamatrix/detector/DetectorException.h

    )

SET(MULTI_DIR

    ${ZXING_DIR}/multi/ByQuadrantReader.cpp
    ${ZXING_DIR}/multi/ByQuadrantReader.h
    ${ZXING_DIR}/multi/GenericMultipleBarcodeReader.cpp
    ${ZXING_DIR}/multi/GenericMultipleBarcodeReader.h
    ${ZXING_DIR}/multi/MultipleBarcodeReader.cpp
    ${ZXING_DIR}/multi/MultipleBarcodeReader.h

    ${ZXING_DIR}/multi/qrcode/QRCodeMultiReader.cpp
    ${ZXING_DIR}/multi/qrcode/QRCodeMultiReader.h

    ${ZXING_DIR}/multi/qrcode/detector/MultiDetector.cpp
    ${ZXING_DIR}/multi/qrcode/detector/MultiDetector.h
    ${ZXING_DIR}/multi/qrcode/detector/MultiFinderPatternFinder.cpp
    ${ZXING_DIR}/multi/qrcode/detector/MultiFinderPatternFinder.h

    )

SET(ONED_DIR

    ${ZXING_DIR}/oned/UPCEReader.h
    ${ZXING_DIR}/oned/UPCEANReader.h
    ${ZXING_DIR}/oned/UPCEANExtensionSupport.h
    ${ZXING_DIR}/oned/UPCEANExtension2Support.h
    ${ZXING_DIR}/oned/UPCEANExtension5Support.h
    ${ZXING_DIR}/oned/UPCAReader.h
    ${ZXING_DIR}/oned/OneDResultPoint.h
    ${ZXING_DIR}/oned/OneDReader.h
    ${ZXING_DIR}/oned/MultiFormatUPCEANReader.h
    ${ZXING_DIR}/oned/MultiFormatOneDReader.h
    ${ZXING_DIR}/oned/ITFReader.h
    ${ZXING_DIR}/oned/EAN13Reader.h
    ${ZXING_DIR}/oned/EAN8Reader.h
    ${ZXING_DIR}/oned/EANManufacturerOrgSupport.h
    ${ZXING_DIR}/oned/Code128Reader.h
    ${ZXING_DIR}/oned/Code39Reader.h
    ${ZXING_DIR}/oned/CodaBarReader.h
    ${ZXING_DIR}/oned/Code93Reader.h
    ${ZXING_DIR}/oned/rss/AbstractRSSReader.h
    ${ZXING_DIR}/oned/rss/DataCharacter.h
    ${ZXING_DIR}/oned/rss/FinderPattern.h
    ${ZXING_DIR}/oned/rss/Pair.h
    ${ZXING_DIR}/oned/rss/RSS14Reader.h
    ${ZXING_DIR}/oned/rss/RSSUtils.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AbstractExpandedDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013103decoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01320xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01392xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01393xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013x0x1xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013x0xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01AndOtherAIs.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01decoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01weightDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AnyAIDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/BlockParsedResult.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/CurrentParsingState.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedChar.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedInformation.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedNumeric.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedObject.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/FieldParser.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/GeneralAppIdDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/BitArrayBuilder.h
    ${ZXING_DIR}/oned/rss/expanded/ExpandedPair.h
    ${ZXING_DIR}/oned/rss/expanded/ExpandedRow.h
    ${ZXING_DIR}/oned/rss/expanded/RSSExpandedReader.h

    ${ZXING_DIR}/oned/UPCEReader.cpp
    ${ZXING_DIR}/oned/UPCEANReader.cpp
    ${ZXING_DIR}/oned/UPCEANExtensionSupport.cpp
    ${ZXING_DIR}/oned/UPCEANExtension2Support.cpp
    ${ZXING_DIR}/oned/UPCEANExtension5Support.cpp
    ${ZXING_DIR}/oned/UPCAReader.cpp
    ${ZXING_DIR}/oned/OneDResultPoint.cpp
    ${ZXING_DIR}/oned/OneDReader.cpp
    ${ZXING_DIR}/oned/MultiFormatUPCEANReader.cpp
    ${ZXING_DIR}/oned/MultiFormatOneDReader.cpp
    ${ZXING_DIR}/oned/ITFReader.cpp
    ${ZXING_DIR}/oned/EAN13Reader.cpp
    ${ZXING_DIR}/oned/EAN8Reader.cpp
    ${ZXING_DIR}/oned/EANManufacturerOrgSupport.cpp
    ${ZXING_DIR}/oned/Code128Reader.cpp
    ${ZXING_DIR}/oned/Code39Reader.cpp
    ${ZXING_DIR}/oned/CodaBarReader.cpp
    ${ZXING_DIR}/oned/Code93Reader.cpp
    ${ZXING_DIR}/oned/rss/AbstractRSSReader.cpp
    ${ZXING_DIR}/oned/rss/DataCharacter.cpp
    ${ZXING_DIR}/oned/rss/FinderPattern.cpp
    ${ZXING_DIR}/oned/rss/Pair.cpp
    ${ZXING_DIR}/oned/rss/RSS14Reader.cpp
    ${ZXING_DIR}/oned/rss/RSSUtils.cpp
    ${ZXING_DIR}/oned/rss/expanded/BitArrayBuilder.cpp
    ${ZXING_DIR}/oned/rss/expanded/ExpandedPair.cpp
    ${ZXING_DIR}/oned/rss/expanded/ExpandedRow.cpp
    ${ZXING_DIR}/oned/rss/expanded/RSSExpandedReader.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AbstractExpandedDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01AndOtherAIs.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01decoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01weightDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013x0x1xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013x0xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01320xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01392xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01393xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013103decoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AnyAIDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/BlockParsedResult.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/CurrentParsingState.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedChar.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedInformation.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedNumeric.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedObject.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/FieldParser.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/GeneralAppIdDecoder.cpp


    )

SET(PDF417_DIR

    ${ZXING_DIR}/pdf417/PDF417Reader.cpp
    ${ZXING_DIR}/pdf417/PDF417Reader.h

    ${ZXING_DIR}/pdf417/decoder/BitMatrixParser.h
    ${ZXING_DIR}/pdf417/decoder/DecodedBitStreamParser.h
    ${ZXING_DIR}/pdf417/decoder/Decoder.h
    ${ZXING_DIR}/pdf417/decoder/PDF417BitMatrixParser.cpp
    ${ZXING_DIR}/pdf417/decoder/PDF417DecodedBitStreamParser.cpp
    ${ZXING_DIR}/pdf417/decoder/PDF417Decoder.cpp

    ${ZXING_DIR}/pdf417/decoder/ec/ErrorCorrection.cpp
    ${ZXING_DIR}/pdf417/decoder/ec/ErrorCorrection.h
    ${ZXING_DIR}/pdf417/decoder/ec/ModulusGF.cpp
    ${ZXING_DIR}/pdf417/decoder/ec/ModulusGF.h
    ${ZXING_DIR}/pdf417/decoder/ec/ModulusPoly.cpp
    ${ZXING_DIR}/pdf417/decoder/ec/ModulusPoly.h

    ${ZXING_DIR}/pdf417/detector/Detector.h
    ${ZXING_DIR}/pdf417/detector/LinesSampler.cpp
    ${ZXING_DIR}/pdf417/detector/LinesSampler.h
    ${ZXING_DIR}/pdf417/detector/PDF417Detector.cpp

    )

SET(QRCODE_DIR

    ${ZXING_DIR}/qrcode/ErrorCorrectionLevel.h
    ${ZXING_DIR}/qrcode/FormatInformation.h
    ${ZXING_DIR}/qrcode/QRCodeReader.cpp
    ${ZXING_DIR}/qrcode/QRCodeReader.h
    ${ZXING_DIR}/qrcode/QRErrorCorrectionLevel.cpp
    ${ZXING_DIR}/qrcode/QRFormatInformation.cpp
    ${ZXING_DIR}/qrcode/QRVersion.cpp

=== debian/changelog ===
qzxing (3.3.0+dfsg-8) unstable; urgency=medium

  * debian/patches:
    + Add 1004_cmake-4.patch. Support building with CMake 4. (Closes:
      #1113455).
    + Add 0001_match-badly-printed-QR-codes.patch. Support matching bad
      quality QR code printouts.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Sep 2025 18:11:51 +0200

qzxing (3.3.0+dfsg-7) unstable; urgency=medium

  * debian/patches:
    + Update 1001_build-as-shared-lib.patch. Drop files related to to-be-removed
      qml-module-qzxing bin:pkg.
    + Rebase 1002_cmake-pkg-config-export.patch.
  * debian/:
    + Drop bin:pkg qml-module-qzxing. Not needed, and in fact breaking consumers
      of the qzxing library when using it as QQuickImageProvider. (See:
      #1092953) and upload of lomiri-camera-app 4.0.8+dfsg-3.
  * debian/control:
    + Assure uninstallation of bin:pkg qml-module-qzxing from previous versions
      of qzxing. The formerly shipped QML module breaks consumers of qzxing when
      used as QQuickImageProvider in QML applications.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 10 May 2025 16:25:56 +0200

qzxing (3.3.0+dfsg-6) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/libqzxing3.symbols:
    + Drop symbols file. The cost of maintaining the symbols far outweighs
      the usefulness. (Closes: #1074247, #1075433).

  [ OPNA2608 ]
  * debian/patches:
    + Add 1002_cmake-pkg-config-export.patch. Fetch patch for pkg-config
      generation with CMake.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 10:34:26 +0200

qzxing (3.3.0+dfsg-5) unstable; urgency=medium

  * debian/symbols: Refresh using buildlogs from buildd (closes: #1037833)
    (closes: #1042229)

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 20:13:56 +0200

qzxing (3.3.0+dfsg-4) unstable; urgency=medium

  * debian/symbols: Refresh amd64 symbols
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 16:00:27 +0200

qzxing (3.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Anton Gladky <gladk@debian.org>  Sat, 22 Oct 2022 10:28:36 +0200

qzxing (3.3.0+dfsg-2) unstable; urgency=medium

  * debian/patches/1001_build-as-shared-lib.patch:
    + Refresh patch to provide a qmldir file for qml-module-qzxing.
  * debian/:
    + Add bin:pkg qml-module-qzxing.
  * debian/control:
    + Add shared lib to Depends: of dev:pkg. Drop ${shlibs:Depends}.
  * debian/libqzxing3.symbols:
    + Update for these archs: armel, armhf, hppa, hurd-i386, i386, mipsel,
      powerpc, ppc64, riscv64, s390x, and sh4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Oct 2022 00:30:38 +0200

qzxing (3.3.0+dfsg-1) unstable; urgency=low

  * Initial upload to Debian. (Closes: #1021626).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Oct 2022 23:18:33 +0200

=== debian/control ===
Source: qzxing
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
           Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <mariogrip@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               libqt5svg5-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               pkg-kde-tools,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/ftylitak/qzxing
Vcs-Git: https://salsa.debian.org/ubports-team/qzxing.git
Vcs-Browser: https://salsa.debian.org/ubports-team/qzxing/

Package: libqzxing3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-qzxing,
Replaces: qml-module-qzxing,
Description: QZXing library
 Qt wrapper for the ZXing 1D/2D barcode image decoder.
 .
 Supports barcode decoding for the following types:
 .
    UPC-A
    UPC-E
    EAN-8
    EAN-13
    ITF
    Code 39
    Code 93
    Code 128 (GS1)
    Codabar
    QR Code
    Data Matrix
    Aztec (beta)
    PDF 417
 .
 Supports barcode encoding for the following types:
 .
   QR Code
 .
 This package contains the shared library files.

Package: libqzxing-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libqzxing3 (= ${binary:Version}),
Description: QZXing library (development headers)
 Qt wrapper for the ZXing 1D/2D barcode image decoder.
 .
 Supports barcode decoding for the following types:
 .
    UPC-A
    UPC-E
    EAN-8
    EAN-13
    ITF
    Code 39
    Code 93
    Code 128 (GS1)
    Codabar
    QR Code
    Data Matrix
    Aztec (beta)
    PDF 417
 .
 Supports barcode encoding for the following types:
 .
   QR Code
 .
 This package contains the development header files of the QZXing shared
 library.

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ -D src/ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure --			\
	    -DBUILD_SHARED=ON			\
	    -DQZXING_MULTIMEDIA=ON		\
	    -DQZXING_USE_QML=ON			\
	    -DQZXING_USE_ENCODER=ON		\
	    -DQZXING_MULTIMEDIA=ON		\
	    -DQZXING_USE_QML=ON			\
	    -DQZXING_USE_ENCODER=ON		\
	    -DQZXING_USE_DECODER_QR_CODE=ON	\
	    -DQZXING_USE_DECODER_1D_BARCODES=ON	\
	    -DQZXING_USE_DECODER_DATA_MATRIX=ON	\
	    -DQZXING_USE_DECODER_AZTEC=ON	\
	    -DQZXING_USE_DECODER_PDF17=ON	\
	    -DQZXING_USE_DECODER_1D_BARCODES=ON	\
	    $(NULL)

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	-dh_auto_clean -D src/

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg//,\
repacksuffix=+dfsg \
https://github.com/ftylitak/qzxing/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz \
debian
